# AI Migration Agent

CONTENTS OF THIS FILE
 * Introduction
 * Features
 * Dependencies
 * Installation
 * Usage
 * Known Issues
 * Maintainers

## Introduction
This module provides a migration AI Agent. Still experimental.
**Not recommended for use on production websites**.

## Features
Currently the module allows you to migrate a list of explicitly-defined URLs
into an (optionally defined) content type using http client. It does not yet
allow you to create, run, or stop migrations, or allow you to edit migration
YAML files.

Defaults to using <code>page</code> content type with Drupal CMS' <code>content_format</code>
format.

Please see the [AI Agents documentation](https://project.pages.drupalcode.org/ai_agents) and [AI Agents Extra documentation](https://project.pages.drupalcode.org/ai_agents/modules/ai_agents_extra) for additional documentation.

## Dependencies
1. Drupal ^10.3 || ^11
2. The [AI module](https://www.drupal.org/project/ai), with at least one configured AI Provider module.
3. The [AI Agents module](https://www.drupal.org/project/ai_agents), and submodules: AI Agents Extras, AI Agents Explorer.

## Installation
<code>drush install ai_agent_migration</code>
or enable AI Agent Migration from the modules page.

## Usage
Navigate to the AI Agents page (admin/config/ai/agents). Click Explore for
migration_agent.

**Sample AI prompts**
<code>Migrate the following list of URLs: http://x.com, http://y.com, http://z.com.</code>
<code>Migrate the list of URLs into the blog content type: http://x.com.</code>

## Known Issues
 * Only works through the AI Agent Explorer AI prompt interface, not the AI
   chatbot interface yet.
 * Minimal error handling.
 * Isn't a true Drupal migration - just uses http client to grab a list of
   URLs and (currently) strip out all but most basic tags and save a node.

## Maintainers
 * Andy Hawks - https://www.drupal.org/u/andyhawks
